package de.oaa.xxx.gruppe.repository;

import de.oaa.xxx.gruppe.entity.GruppenmitgliedEntity;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;
import java.util.Optional;
import java.util.UUID;

public interface GruppenmitgliedRepository extends JpaRepository<GruppenmitgliedEntity, UUID> {

    Optional<GruppenmitgliedEntity> findFirstByGruppeIdAndUserId(UUID gruppeId, UUID userId);

    List<GruppenmitgliedEntity> findByGruppeId(UUID gruppeId);

    List<GruppenmitgliedEntity> findByUserId(UUID userId);

    @Transactional
    void deleteByGruppeIdAndUserId(UUID gruppeId, UUID userId);

    long countByGruppeId(UUID gruppeId);

    @Transactional
    void deleteByGruppeId(UUID gruppeId);
}
